blaze-markup-0.8.3.0: A blazingly fast markup combinator library for Haskell

Safe Haskell | None
Language | Haskell2010

Text.Blaze.Renderer.String

Description

A renderer that produces a native Haskell `String`, mostly meant for debugging purposes.

Synopsis

- fromChoiceString :: ChoiceString -> String -> String
- renderMarkup :: Markup -> String
- renderHtml :: Markup -> String

# Documentation

fromChoiceString Source #

Arguments

:: ChoiceString | String to render
-> String | String to append
-> String | Resulting string

Render a `ChoiceString`.

renderMarkup :: Markup -> String Source #

Render markup to a lazy `String`.

renderHtml :: Markup -> String Source #

Deprecated: Use renderHtml from Text.Blaze.Html.Renderer.String instead